package com.gic.haoban.manage.web.vo.hm;

import java.io.Serializable;

public class ClerkListVO implements Serializable {

    private static final long serialVersionUID = -7063684171950204677L;

    private String clerkId;
    private String clerkName;
    private String clerkCode;
    private String storeId;
    private String clerkGender;
    private String phoneNumber;
    private String enterpriseId;
    private String imageUrl;
    private Integer clerkType = 0;// 店长（0：否，1：是）
    // 1未关联企微 2关联的企微号未配置客户联系功能  3已有单人活码  4无单人活码(可以创建)
    private int hmStatus = 1;

    public int getHmStatus() {
        return hmStatus;
    }

    public void setHmStatus(int hmStatus) {
        this.hmStatus = hmStatus;
    }

    public String getHaobanRemark() {
        if(this.getHmStatus()==2) {
            return "关联的企微号未配置客户联系功能";
        }
        if(this.getHmStatus()==3) {
            return "单人活码已创建";
        }
        if(this.getHmStatus()==4) {
            return "--";
        }
        return "未关联企微号";
    }

    public String getClerkId() {
        return clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public String getStoreId() {
        return storeId;
    }

    public String getClerkGender() {
        return clerkGender;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public void setClerkGender(String clerkGender) {
        this.clerkGender = clerkGender;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }
}